% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/value_initial_cleaning.r
\name{value_initial_cleaning}
\alias{value_initial_cleaning}
\title{Preliminarily cleaning numerical string vectors}
\usage{
value_initial_cleaning(x)
}
\arguments{
\item{x}{A string vector that stores numerical values.}
}
\value{
A string vector that stores cleaner numerical values.
}
\description{
Cleaning illegal characters in string vectors that store numerical values.
The function is useful for cleaning electrical health records in Chinese.
}
\details{
The function will convert full-width characters to half-width characters, remove
spaces and extra dots, and replace empty strings with \code{NA}.
}
\examples{
x <- c("\uFF11\uFF12\uFF13", "11..23", "\uff41\uff42\uff41\uff4e\uff44\uff4f\uff4e")
value_initial_cleaning(x)
}
